﻿using System.Collections.Generic;
using System.ComponentModel;

using TSLab.Script;
using TSLab.Script.Handlers;
using TSLab.Script.Handlers.Options;

namespace GanovCubes
{
    #region CubeDescription
    [HandlerCategory("Ganov Cubes. Filters")]
    [HandlerName("IsLabMode", Language = "ru-ru")]
    [Description("Кубик определяет находится ли система в режиме Lab (если система находится в режиме Lab, то кубик выдает True")]
    [HelperLink("http://forum.tslab.ru/ubb/ubbthreads.php?ubb=showflat&Number=87236&page=1", "Страница на форуме TSLab", "ru-ru")]

    [InputsCount(1)]
    [Input(0, TemplateTypes.SECURITY, Name = "Sec")]

    [OutputsCount(1)]
    [OutputType(TemplateTypes.BOOL)]
    #endregion

    public class IsLabMode : IStreamHandler, ISecurityInput0, IBar2BoolsHandler, IBooleanReturns, IContextUses
    {
        public IContext Context { set; get; }

        public IList<bool> Execute(ISecurity sec)
        {
            return Context.GetValueTypeCollection(Context.IsLabMode(sec), Context.BarsCount);
        }
    }
}